Summary: HTTP server daemon with SSL
Name: apache-ssl
%define apachever 1.3.3
%define apachesslver 1.28
Version: %{apachever}-%{apachesslver}
# Serial number taken from APACHE_RELEASE definition in src/include/httpd.h
# Update Serial Number when Apache version is changed.
Serial: 1030299
Release: 0
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{apachever}.tar.gz
Source1: ftp://ftp.ox.ac.uk/pub/crypto/SSL/apache_%{apachever}+ssl_%{apachesslver}.tar.gz
Source2: httpd.init
Source3: apache.log
Patch0: configuration.patch
Patch1: makefile.patch
Copyright: BSD-like
BuildRoot: /tmp/apache-ssl
Requires: initscripts >= 3.25
Prereq: /sbin/chkconfig
URL: http://www.apache-ssl.org/
Packager: Magnus Stenman <stone@hkust.se>

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

Apache-SSL adds support for SSL. Do not export from the U.S.

Built with loadable modules (all standard modules enabled).
This verion is intended as a replacement for a standard apache, the
configuration files provided with apache and apache-ssl are unchanged.

Built for glibc6 on RedHat 5.1.

%prep 
%setup -b0 -a1 -n apache_%{apachever}
patch -p0 < SSLpatch
%patch0 -p1
%patch1 -p1

%build

OPTIM="$RPM_OPT_FLAGS" ./configure \
	--without-confadjust \
	--prefix=/home/httpd \
	--sysconfdir=/etc/httpd/conf \
	--mandir=/usr/man \
	--includedir=/home/httpd/include \
	--datadir=/home/httpd \
	--localstatedir=/var \
	--runtimedir=/var/run \
	--logfiledir=/var/log/httpd \
	--enable-module=auth_anon --enable-shared=auth_anon \
	--enable-module=auth_db --enable-shared=auth_db \
	--enable-module=digest --enable-shared=digest \
	--enable-module=expires --enable-shared=expires \
	--enable-module=headers --enable-shared=headers \
	--enable-module=mime_magic --enable-shared=mime_magic \
	--enable-module=mmap_static --enable-shared=mmap_static \
	--enable-module=proxy --enable-shared=proxy \
	--proxycachedir=/var/spool/proxy \
	--enable-module=rewrite --enable-shared=rewrite \
	--enable-module=speling --enable-shared=speling \
	--enable-module=status --enable-shared=status \
	--enable-module=unique_id --enable-shared=unique_id \
	--enable-module=usertrack --enable-shared=usertrack \
	--enable-suexec --suexec-caller=nobody \
	--suexec-uidmin=500 --suexec-gidmin=500

make

%install
rm -rf $RPM_BUILD_ROOT

make install-quiet root="$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d}
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
install $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache
install $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
install $RPM_BUILD_DIR/apache_%{apachever}/SSLconf/conf/ssleay.cnf \
	$RPM_BUILD_ROOT/etc/httpd/conf
install $RPM_BUILD_DIR/apache_%{apachever}/SSLconf/conf/httpd.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf.ssl
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cd $RPM_BUILD_ROOT/usr/sbin
ln -s ../../home/httpd/sbin/httpd

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add httpd

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/httpd ]; then
       /etc/rc.d/init.d/httpd stop
   fi
   /sbin/chkconfig --del httpd
fi

%files
%defattr(644 root root 755)
%attr(755,root,root)  %dir /etc/httpd
%attr(755,root,root)  %dir /etc/httpd/conf
%attr(644,root,root)  %config /etc/httpd/conf/*
%attr(644,root,root)  %config /etc/logrotate.d/*
%attr( - ,root,root)  %doc ABOUT_APACHE src/CHANGES KEYS LICENSE README
%attr( - ,root,root)  %doc CHANGES.SSL EXTRAS.SSL LICENCE.SSL README.SSL
%attr( - ,root,root)  %doc SECURITY md5sums md5sums.asc
%attr( - ,root,root)  %doc src/support/suexec.[ch]
%attr(755,root,root)  %dir /home/httpd
%attr(755,root,root)  %dir /home/httpd/htdocs
%attr(644,root,root)  %config(noreplace) /home/httpd/htdocs/index.html
%attr(644,root,root)  %config /home/httpd/htdocs/apache_pb.gif
%attr(755,root,root)  /etc/rc.d/init.d/*
%attr( - ,root,root)  /home/httpd/cgi-bin
%attr( - ,root,root)  /home/httpd/icons
%attr( - ,root,root)  /home/httpd/include/*
%attr( - ,root,root)  /home/httpd/libexec/*
%attr(755,root,root)  /home/httpd/bin/*
%attr(755,root,root)  /home/httpd/sbin/ab
%attr(755,root,root)  /home/httpd/sbin/apachectl
%attr(755,root,root)  /home/httpd/sbin/apxs
%attr(755,root,root)  /home/httpd/sbin/httpd
%attr(755,root,root)  /home/httpd/sbin/gcache
%attr(755,root,root)  /home/httpd/sbin/logresolve
%attr(755,root,root)  /home/httpd/sbin/rotatelogs
%attr(4755,root,root) /home/httpd/sbin/suexec
%attr(644,root,root)  /usr/man/man1/*
%attr(644,root,root)  /usr/man/man8/*
%attr(755,root,root)  %dir /var/log/httpd
%attr(755,root,root)  %dir /var/spool/proxy
%attr( - ,root,root)  %docdir /home/httpd/htdocs/manual
%attr( - ,root,root)  /home/httpd/htdocs/manual
%attr( - ,root,root)  /usr/sbin/httpd

%changelog

* Sun Oct 25 1998 Magnus Stenman
[1.3.3-1.28]
New versions of apache and apache-ssl

* Sun Oct 11 1998 Magnus Stenman
[1.3.2-1.27]
first release, based on
apache-1.3.1-1.src.rpm by Manoj Kasichainula <manojk@io.com>

This version is intended to replace a standard non-ssl apache.
